import UIKit

// MARK: - Протоколы

protocol MainSectionGrid { }

// MARK: - Реализация

extension Main {
  enum SectionGrid {
    static func setupCore(_ core: Main.Core) {
      // Расставляем кнопки в сетке 4x4.
      for (id, p) in memoryItemPositions(M()).enumerated() {
        let btn = core.buttons[id]
        btn.frame =
          CGRect(
            x: CGFloat(p.0),
            y: CGFloat(p.1),
            width: CGFloat(memorySide()),
            height: CGFloat(memorySide())
          )
        btn.backgroundColor = .blue
      }
    }
  }
}
