import Foundation

struct M {
  var itemsCount: Int = 16
}

func memoryItemPositions(_ M: M) -> [(Float, Float)] {
  var pos = [(Float, Float)]()
  for i in stride(from: 0, to: M.itemsCount, by: 1) {
    let row = floor(Float(i) / 4)
    let x = memoryGap() + (Float(i) - row * 4) * memoryGap()
    let y = memoryGap() + row * memoryGap()
    pos.append((x, y))
  }
  return pos
}
